function g = do_convolve(f,h,xr,yr)
% convolves f with h
% xr is domain:  -xr < x < xr

if (nargin<3)
    xr = 2;
end

if (nargin<4)
    yr = 1.2;
end

x = linspace(-xr,xr,321);
dx=x(2)-x(1);
subplot(3,1,1)
plot(x,f(x),'k','LineWidth',2);
ylabel('f(x)');
axis([-xr xr 0 yr]);
subplot(3,1,2);
plot(x,h(x),'k','LineWidth',2);
ylabel('h(x)');
axis([-xr xr 0 yr]);
g = convn(f(x),h(x),'same')*dx;
subplot(3,1,3);
plot(x,g,'k','LineWidth',2);
xlabel('x');
ylabel('g(x) = f*h');
axis([-xr xr 0 yr]);

